lua-language-server (a language server that offers Lua support)

The Lua language server provides various language features for Lua
to make development easier and faster.

************************************************************************

The server is run via a wrapper that adds these options to make it
run and work:

    --logpath="/tmp/runtime-$USER/lua-language-server/log"
    --metapath="/tmp/runtime-$USER/lua-language-server/meta"

The build itself is placed in /usr/libexec/lua-language-server/ as it
doesn't respect normal file-system hierarchy.
